--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 14.11
-- Dumped by pg_dump version 14.11

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE "TEST";
--
-- Name: TEST; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE "TEST" WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE = 'en_IN.UTF-8';


ALTER DATABASE "TEST" OWNER TO postgres;

\connect "TEST"

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: badsql; Type: SCHEMA; Schema: -; Owner: badsql
--

CREATE SCHEMA badsql;


ALTER SCHEMA badsql OWNER TO badsql;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: htest; Type: TABLE; Schema: badsql; Owner: badsql
--

CREATE TABLE badsql.htest (
    test_nr numeric(4,0) NOT NULL,
    height numeric(11,6) NOT NULL,
    width numeric(11,6) NOT NULL,
    test_4 numeric(20,10),
    test_5 numeric(20,10),
    test_6 numeric(20,10),
    test_8 numeric(20,10),
    col1 numeric(3,0),
    test_code numeric(5,0) NOT NULL,
    test_10 numeric(20,10),
    test_3 numeric(20,10),
    start_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    new_nr numeric(6,0) NOT NULL,
    test_ek numeric(1,0) NOT NULL
);


ALTER TABLE badsql.htest OWNER TO badsql;

--
-- Name: ktest; Type: TABLE; Schema: badsql; Owner: badsql
--

CREATE TABLE badsql.ktest (
    test_nr numeric(6,0) NOT NULL,
    test_adr_nr numeric(1,0) NOT NULL,
    test_name character varying(120),
    test_text character varying(120),
    test_1 character varying(180),
    test_2 character varying(180),
    test_3 character varying(180),
    test_4 character varying(180),
    test_5 character varying(180),
    test_6 character varying(180),
    test_7 character varying(180),
    test_pl character varying(60),
    test_el character varying(60),
    test_ax character varying(60),
    test_mail character varying(180),
    test_ek numeric(1,0) NOT NULL,
    test_nr_1 numeric(8,0) NOT NULL,
    test_ar numeric(2,0),
    test_tour numeric(4,0),
    test_seq numeric(3,0),
    test_ct character varying(60),
    test_entf numeric(7,3),
    test_te character varying(45),
    test_sg numeric(4,0),
    test_ig numeric(4,0),
    test_anc numeric(4,0),
    test_state character varying(60),
    test_disabled numeric(1,0),
    test_de numeric(10,7),
    test_de1 numeric(10,7),
    test_at character varying(60),
    test_default numeric(1,0) DEFAULT 0,
    test_on numeric(1,0) DEFAULT 0,
    modified timestamp without time zone
);


ALTER TABLE badsql.ktest OWNER TO badsql;

--
-- Data for Name: htest; Type: TABLE DATA; Schema: badsql; Owner: badsql
--

COPY badsql.htest (test_nr, height, width, test_4, test_5, test_6, test_8, col1, test_code, test_10, test_3, start_date, end_date, new_nr, test_ek) FROM stdin;
\.
COPY badsql.htest (test_nr, height, width, test_4, test_5, test_6, test_8, col1, test_code, test_10, test_3, start_date, end_date, new_nr, test_ek) FROM '$$PATH$$/4319.dat';

--
-- Data for Name: ktest; Type: TABLE DATA; Schema: badsql; Owner: badsql
--

COPY badsql.ktest (test_nr, test_adr_nr, test_name, test_text, test_1, test_2, test_3, test_4, test_5, test_6, test_7, test_pl, test_el, test_ax, test_mail, test_ek, test_nr_1, test_ar, test_tour, test_seq, test_ct, test_entf, test_te, test_sg, test_ig, test_anc, test_state, test_disabled, test_de, test_de1, test_at, test_default, test_on, modified) FROM stdin;
\.
COPY badsql.ktest (test_nr, test_adr_nr, test_name, test_text, test_1, test_2, test_3, test_4, test_5, test_6, test_7, test_pl, test_el, test_ax, test_mail, test_ek, test_nr_1, test_ar, test_tour, test_seq, test_ct, test_entf, test_te, test_sg, test_ig, test_anc, test_state, test_disabled, test_de, test_de1, test_at, test_default, test_on, modified) FROM '$$PATH$$/4320.dat';

--
-- Name: htest pk_htest; Type: CONSTRAINT; Schema: badsql; Owner: badsql
--

ALTER TABLE ONLY badsql.htest
    ADD CONSTRAINT pk_htest PRIMARY KEY (test_nr, new_nr, test_code, test_ek, height, width, start_date, end_date);


--
-- Name: ktest pk_ktest; Type: CONSTRAINT; Schema: badsql; Owner: badsql
--

ALTER TABLE ONLY badsql.ktest
    ADD CONSTRAINT pk_ktest PRIMARY KEY (test_ek, test_nr, test_adr_nr, test_nr_1);


--
-- PostgreSQL database dump complete
--

